Subject: Re: bug#22727: Managing packages writes the user init file

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Feb 2016 22:29:27 +0200

> Cc: [email-masked], [email-masked]
> From: Angelo Graziosi <[email-masked]>
> Date: Thu, 18 Feb 2016 19:49:15 +0100
> 
> The problem here is NOT that when one customizes something this is saved 
> in the init file but that also when one does not customize anything, the 
> init file is changed, more or less silently. For example clicking 
> Options -Manage Emacs packages.

If we solve this part, i.e. avoid modifying .emacs until the user
actually selects some packages to install, would that address your
concerns that triggered this bug report?

As for silent modifications: if the user accepts some options that
should remain in effect for future sessions, that's a reason good
enough to save these settings.  This is what Custom does when you save
the customizations for future sessions.

Thanks.